io.milvus.v2.service.vector.request.data

## Class FloatVec

- java.lang.Object
- - io.milvus.v2.service.vector.request.data.FloatVec

All Implemented Interfaces:
  BaseVector

    public class FloatVec
    extends java.lang.Object
    implements BaseVector

### Constructor Summary

Constructors
Constructor and Description
`FloatVec(float[] data)`
`FloatVec(java.util.List<java.lang.Float> data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()`
`io.milvus.grpc.PlaceholderType` `getPlaceholderType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatVec

    public FloatVec(java.util.List<java.lang.Float> data)

#### FloatVec

    public FloatVec(float[] data)

### Method Detail

#### getPlaceholderType

    public io.milvus.grpc.PlaceholderType getPlaceholderType()

Specified by:
  `getPlaceholderType` in interface `BaseVector`

#### getData

    public java.lang.Object getData()

Specified by:
  `getData` in interface `BaseVector`